Description

| think this feature won't hurt.
So now you can type:

user:74

and

user:woblavobla

History

#1 - 2017-07-05 23:49 - Mischa The Evil
- Category set to Text formatting

- Status changed from New to Needs feedback

| don't get it. What does your patch add in contrast to what is already supported? As of Redmine 3.4.0, user links in the following formats are
supported:

e user#userid (eg. user#1)
e user:login (eg. user:admin)
* @login (eg. @admin)

For the rationale behind the supported syntax, see #4179. Basically, it comes down to this:

¢ Redmine links with a pound sign behind the object take a numerical value
e Redmine links with a colon behind the object take a textual value

Can you please elaborate on the purpose of and rationale behind your patch?
#2 - 2017-07-07 11:25 - Andrey Lobanov (RedSoft)
Mischa The Evil wrote:

| don't get it. What does your patch add in contrast to what is already supported? As of Redmine 3.4.0, user links in the following formats are
supported:

e user#userid (eg. user#1)
e user:login (eg. user:admin)
e @login (eg. @admin)
For the rationale behind the supported syntax, see #4179. Basically, it comes down to this:

¢ Redmine links with a pound sign behind the object take a numerical value
e Redmine links with a colon behind the object take a textual value

Can you please elaborate on the purpose of and rationale behind your patch?

I'm sorry my local trunk was at 3.3.0, so this feature wasn't implemented.

#3 - 2017-07-08 02:17 - Mischa The Evil
- Status changed from Needs feedback to Closed
https://www.redmine.org/versions/119
https://www.redmine.org/issues/4179
https://www.redmine.org/versions/119
https://www.redmine.org/issues/4179

I'm sorry [...]

Not a problem. I'll close this issue accordingly.

[...] my local trunk was at 3.3.0, so this feature wasn't implemented.

OT: still, your patch won't apply to 3.3.0 either...
